re-arrange ps3 tree
[openwrt/svn-archive/archive.git] / target / linux / ps3 / petitboot / base-files / bin / login
diff --git a/target/linux/ps3/petitboot/base-files/bin/login b/target/linux/ps3/petitboot/base-files/bin/login
new file mode 100755 (executable)
index 0000000..2e649f0
--- /dev/null
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Copyright (C) 2008 OpenWrt.org
+
+bl_option=/sbin/bl-option
+
+if [ ! -f $bl_option ] ||
+   [ ! `$bl_option --get-telnet-enabled` ] ||
+   [ `$bl_option --get-telnet-enabled` = "0" ]; then
+    echo \
+"
+ === IMPORTANT ==========================
+  Telnet login is disabled for security
+  reasons. Enabling telnet login on the
+  host will allow any user connected to
+  the same network to login to the host.
+
+  You can enable telnet login with the
+  following command in the host console:
+
+  # $bl_option -T 1
+
+  You can disable telnet login with the
+  following command in the host console:
+
+  # $bl_option -T 0
+ ----------------------------------------
+"
+    exit 0
+fi
+
+grep '^root:[^!]' /etc/passwd >&- 2>&-
+[ "$?" = "0" -a -z "$FAILSAFE" ]  &&
+{
+    echo "Login failed."
+    exit 0
+} || {
+cat << EOF
+ === IMPORTANT ============================
+  Use 'passwd' to set your login password
+  this will disable telnet and enable SSH
+ ------------------------------------------
+EOF
+}
+
+exec /bin/ash --login